public abstract class Medium {

    private String bezeichnung;
    private double nettoPreis;

    public Medium(String bezeichnung, double nettoPreis) {
        this.bezeichnung = bezeichnung;
	this.nettoPreis = nettoPreis;
    }

    public String gibBezeichung() { return this.bezeichnung; }

    public double gibNettoPreis() { return this.nettoPreis; }

    public void setzeNettoPreis(double nettoPreis) {
        this.nettoPreis = nettoPreis;
    }

    public double gibBruttoPreis() {
        return this.nettoPreis * (1 + this.gibMwstSatz() / 100.0);
    }

    public abstract double gibMwstSatz();

    public String toString() {
        return "Bezeichnung: " + this.bezeichnung + "\n" +
	       "Nettopreis: " + this.nettoPreis + "\n" +
	       "Bruttopreis: " + this.gibBruttoPreis() + "\n" +
	       "Mwst.Satz: " + this.gibMwstSatz() + "\n";
    }

}
